List Events
curl --request GET \
--url https://api.visceralai.dev/v1/workspaces/{workspace_id}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.visceralai.dev/v1/workspaces/{workspace_id}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.visceralai.dev/v1/workspaces/{workspace_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trace_id": "<string>",
"span_id": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_type": "<string>",
"event_name": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"status_code": "<string>",
"model": "<string>",
"input_tokens": 123,
"output_tokens": 123,
"cost_usd": 123,
"tool_name": "<string>",
"session_id": "<string>"
}
],
"next_cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Observability
List Events
Flat event list, newest first, keyset-paginated (powers logs / —follow polling).
GET
/
v1
/
workspaces
/
{workspace_id}
/
events
List Events
Authorizations
Short-lived user access token (ES256 JWT) issued by POST /v1/auth/login or the CLI device flow.
Path Parameters
Query Parameters
Available options:
ok, error Required range:
1 <= x <= 200⌘I